#ifndef _TEST_TPCCSV_H_
#define _TEST_TPCCSV_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpccsv.h"
/*****************************************************************************/

/*****************************************************************************/
/* csv */
int test_csvInit(TPCSTATUS *status);
int test_csvFree(TPCSTATUS *status);
int test_csvAllocate(TPCSTATUS *status);
int test_csvDuplicate(TPCSTATUS *status);
int test_csvPutString(TPCSTATUS *status);
int test_csvPutDouble(TPCSTATUS *status);
int test_csvPutInt(TPCSTATUS *status);
int test_csvRowLength(TPCSTATUS *status);
int test_csvSetDimensions(TPCSTATUS *status);
int test_csvIsRegular(TPCSTATUS *status);
int test_csvTrimRight(TPCSTATUS *status);
int test_csvCell(TPCSTATUS *status);
int test_csvCellReplace(TPCSTATUS *status);
int test_csvRemoveItem(TPCSTATUS *status);
int test_csvRemoveEmptyRows(TPCSTATUS *status);
int test_csvRemoveComments(TPCSTATUS *status);
int test_csvReorg(TPCSTATUS *status);
int test_csvTranspose(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* csvio */
int test_csvList(TPCSTATUS *status);
int test_csvWrite(TPCSTATUS *status);
int test_csvRead(TPCSTATUS *status);
int test_csvPutLine(TPCSTATUS *status);
int test_csvPutLineWithSpaces(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* csvfind */
int test_csvFindField(TPCSTATUS *status);
int test_csvSearchField(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCCSV */
