#ifndef _TEST_TPCLINOPT_H_
#define _TEST_TPCLINOPT_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpclinopt.h"
/*****************************************************************************/

/*****************************************************************************/
/* regression */
extern int test_fitLine(TPCSTATUS *status);
extern int test_fitLinePearson(TPCSTATUS *status);
extern int test_highestSlope(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* qrlsq */
extern int test_qr(TPCSTATUS *status);
extern int test_qrLSQ(TPCSTATUS *status);
extern int test_qr_decomp(TPCSTATUS *status);
extern int test_qrSimpleLSQ(TPCSTATUS *status);
extern int test_qrWeight(TPCSTATUS *status);
extern int test_qrWeightRm(TPCSTATUS *status);
extern int test_qrLH(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* nnls */
extern int test_nnls(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* bvls */
extern int test_bvls(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCLINOPT */
